#
# spec file for package MessageQueue
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define startup_root   %{_sysconfdir}/rc.d
%define queue_dir      %{_var}/lib/nocpulse/queue
%define notif_qdir     %queue_dir/notif
%define states_qdir    %queue_dir/sc_db
%define trends_qdir    %queue_dir/ts_db
%define commands_qdir  %queue_dir/commands
%define snmp_qdir      %queue_dir/snmp

Name:           MessageQueue
Version:        3.26.4
Release:        1.3
Summary:        Message buffer/relay system
Url:            https://fedorahosted.org/spacewalk
Source0:        MessageQueue-git-8fb59f659522f803d45c3e275ebe3f171a72d634.tar.gz
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  nocpulse-common
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Requires:       ProgAGoGo nocpulse-common
Group:          Applications/Communications
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MessageQueue is a mechanism by which Spacewalk plugins and event
handlers can safely and quickly buffer outbound messages. The system
provides a dequeue daemon that reliably dequeues messages to internal
systems.



%prep
%setup -q -n MessageQueue-git-8fb59f659522f803d45c3e275ebe3f171a72d634

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%notif_qdir
mkdir -p $RPM_BUILD_ROOT%states_qdir
mkdir -p $RPM_BUILD_ROOT%trends_qdir
mkdir -p $RPM_BUILD_ROOT%commands_qdir
mkdir -p $RPM_BUILD_ROOT%snmp_qdir

# Install libraries
install	-m 644 *.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/

# Install binaries
install -m 755 dequeue $RPM_BUILD_ROOT%{_bindir}

# stuff needing special ownership doesn't go in filelist
install -m 755 queuetool $RPM_BUILD_ROOT%{_bindir}

%post
if [ $1 -eq 2 ]; then
  ls /home/nocpulse/var/queue/commands/* 2>/dev/null | xargs -I file mv file %commands_qdir
  ls /home/nocpulse/var/queue/notif/* 2>/dev/null | xargs -I file mv file %notif_qdir
  ls /home/nocpulse/var/queue/sc_db/* 2>/dev/null | xargs -I file mv file %states_qdir
  ls /home/nocpulse/var/queue/snmp/* 2>/dev/null | xargs -I file mv file %snmp_qdir
  ls /home/nocpulse/var/queue/ts_db/* 2>/dev/null | xargs -I file mv file %trends_qdir
fi

%files
%defattr(-,root,root,-)
%attr(755,nocpulse,nocpulse) %dir %queue_dir
%attr(755,nocpulse,nocpulse) %dir %states_qdir
%attr(755,nocpulse,nocpulse) %dir %notif_qdir
%attr(755,nocpulse,nocpulse) %dir %trends_qdir
%attr(755,nocpulse,nocpulse) %dir %commands_qdir
%attr(755,nocpulse,nocpulse) %dir %snmp_qdir
%{_bindir}/queuetool
%{_bindir}/dequeue
%{perl_vendorlib}/NOCpulse/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 16 2010 mantel@suse.de
- Initial release of MessageQueue
